<?php

// 联想创建订单接口
//
include_once __DIR__ . '/../../../main.php';             # 导入game utils
include_once __DIR__ . '/../Mo/payResp.php';                # 导入通用返回值结构
include_once __DIR__ . '/../Mo/payRequest.php';          # 导入通用订单请求结构
require_once __DIR__ . '/config_lenovo.php';             # 配置文件

use loyalsoft\CLog;
use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;

$str = HttpUtil::getQueryString();                       # 取参数
//    $str = gzinflate($str);
$data = JsonUtil::decode($str);
$cfg = config_for_Lenovo::Inst();
//var_dump($data);
$data->product_id = $cfg->ProductId($data->product_id);  # 联想需要修正下商品ID
$req = new PayRequest($data);                            # 解析参数并创建订单
if ($req->InserDataBase()) {                             # 订单数据入库
    CLog::pay('[联想.pay]创建订单' . $req);
    $req->product_id = $data->product_id;                # 联想需要修正下商品ID
    echo payResp::ok($req->retData());                      # 返回值
} else {
    CLog::pay('[联想.pay]创建订单失败' . $req);
    echo payResp::err(1, '创建订单失败');                    # 返回值
}